/*
 *	Copyleft (c) 2001 Grumbler <g@grumbler.org>
 *
 *	Copyright (c) 1999 RISS-Telecom Networking Center
 *	
 *	Copyright (c) 1993 The CAD lab of the
 *	Novosibirsk Institute of Broadcasting and Telecommunication
 *
 * BPFT $Id: pathnames.h,v 1.5 2002/10/18 03:28:27 stas_degteff Exp $ Exp
 *
 *
 * Redistribution and use in source forms, with and without modification,
 * are permitted provided that this entire comment appears intact.
 * Redistribution in binary form may occur without any restrictions.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' WITHOUT ANY WARRANTIES OF ANY KIND.
 */

/*
 * Some useful pathnames and filenames definition.
 * Provide trailing slash, since mostly used for building pathnames.
 */

/* where erased tmp directory */
#ifndef	_PATH_TMP
#define	_PATH_TMP		"/var/tmp/"
#endif

/* where locate pid files */
#ifndef	_PATH_VARRUN
#define	_PATH_VARRUN		"/var/run/"
#endif

/* where unerased tmp directory */
#ifndef	_PATH_VARTMP
#define	_PATH_VARTMP		"/usr/local/var/trafd/tmp/"
#endif

/* where backuped data */
#ifndef	PATH_TOSAVE
#define	PATH_TOSAVE		"/usr/local/var/trafd/"
#endif

/* where locate trafstat */
#ifndef	PATH_TRAFSTAT
#define	PATH_TRAFSTAT		"/usr/local/bin/trafstat"
#endif

/* where locate trafstat.log */
#ifndef	PATH_TRAFSTAT_LOG
#define	PATH_TRAFSTAT_LOG	"/var/log/trafstat.log"
#endif

/* where locate file with descriptions of the traflog output format */
#ifndef	PATH_TRAFLOG_FMT
#define	PATH_TRAFLOG_FMT	"/usr/local/etc/traflog.format"
#endif

/* where locate log files */
#ifndef PATH_LOG
#define PATH_LOG		"/var/log"
#endif

/* syslog facility */
#ifndef TRAFD_SYSLOG_FASILITY
#define TRAFD_SYSLOG_FASILITY	"daemon"
#endif

