/*
 *	Copyright (c) 1993 The CAD lab of the
 *	Novosibirsk Institute of Broadcasting and Telecommunication
 *
 *	BPFT $Id: trafd.h,v 1.7 2004/04/14 11:44:12 stas_degteff Exp $
 *
 *
 * Redistribution and use in source forms, with and without modification,
 * are permitted provided that this entire comment appears intact.
 * Redistribution in binary form may occur without any restrictions.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' WITHOUT ANY WARRANTIES OF ANY KIND.
 */

#ifndef TRAFD_HEADER
#define TRAFD_HEADER

extern int Xflag;
extern int errno;
/*extern unsigned char *snapend; */
extern int flag_int;		/* SIGINT flag indicator */
extern int flag_hup;		/* SIGHUP flag indicator */
extern int flag_usr1;
extern char *device_name;	/* readable interface name */
extern char file_out[];		/* filename for temporary save to */
extern char file_backup[];	/* filename for append overflow table to */
extern char file_tmp[];         /* filename for write operations with file_backup */
extern char file_fifo[];
extern unsigned long minsize;   /* minimum n_psize value for save record */
extern pcap_t *pd;              /* lib_pcap descriptor */

extern int traf_init();
extern void traf_restore();
extern void traf_save();
extern void traf_pipe();
extern void traf_clear();

#ifndef SYSLOG_FACILITY
#define SYSLOG_FACILITY LOG_DAEMON
#endif

typedef enum {
    SAVEBACKUP,
    SAVE,
    SAVEFORCECLEAR
} SaveTypeEnum;

void ForkAndSave(SaveTypeEnum SaveType);
void InsertOrIncrementEntry(struct t_entry* PacketData);

#endif
